package info.serpal.oriol.news

import android.support.v7.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import info.serpal.oriol.news.core.Dialog
import info.serpal.oriol.news.core.Navigator
import info.serpal.oriol.news.core.Toast
import info.serpal.oriol.news.data.repository.FavoriteRepository
import kotlinx.android.synthetic.main.activity_favorite.*

class FavoriteActivity : AppCompatActivity() {

    private val newsAdapter: FavoriteAdapter = FavoriteAdapter ({
        Navigator().navigateToPieceOfNews(this, it)
    }) {
        val alert = Dialog.confirmation(this, R.string.deleteFavorite) {
            FavoriteRepository().delete(it.number)
            Toast.OK(favorite_layout, R.string.favorite_deleted) {}
            this.showListOfFavorites()
        }
        alert.show()
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_favorite)

        setSupportActionBar(favorite_activity_toolbar)
        supportActionBar?.setDisplayHomeAsUpEnabled(true)

        recyclerview_favorite_news.setHasFixedSize(true)

        showListOfFavorites()
        recyclerview_favorite_news.adapter = newsAdapter
    }

    private fun showListOfFavorites() {
        val newsDBRepository = FavoriteRepository()
        val newsList = newsDBRepository.findAll()
        if (newsList.isEmpty()) {
            recyclerview_favorite_news.visibility = View.GONE
            favorite_empty_view.visibility = View.VISIBLE
        } else {
            recyclerview_favorite_news.visibility = View.VISIBLE
            favorite_empty_view.visibility = View.GONE
        }
        newsAdapter.setData(newsList)
        newsAdapter.notifyDataSetChanged()
    }

}
