package info.serpal.oriol.news

import android.support.v7.widget.RecyclerView
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import android.view.LayoutInflater
import android.widget.ImageButton
import info.serpal.oriol.news.model.News

class FavoriteAdapter(val action: (i: News) -> Unit, val deleteAction: (i: News) -> Unit) : RecyclerView.Adapter<FavoriteAdapter.FavoriteNewsViewHolder>() {

    private var news: List<News> = emptyList()

    fun setData(news: List<News>) {
        this.news = news
    }

    override fun onCreateViewHolder(viewGroup: ViewGroup, p1: Int): FavoriteNewsViewHolder {
        val view = LayoutInflater.from(viewGroup.context).inflate(R.layout.favorite_item_list, viewGroup, false)
        return FavoriteNewsViewHolder(view)
    }

    override fun getItemCount(): Int = news.size

    override fun onBindViewHolder(favoriteNewsViewHolder: FavoriteNewsViewHolder, position: Int) {
        val title: String = if (news[position].number != 0) {
            "(" + news[position].number + ") " + news[position].title
        } else {
            news[position].title
        }
        favoriteNewsViewHolder.newsTitle.text = title
        favoriteNewsViewHolder.itemView.setOnClickListener { action(news[position]) }
        favoriteNewsViewHolder.deleteButton.setOnClickListener { deleteAction(news[position]) }
    }

    class FavoriteNewsViewHolder(view: View) : RecyclerView.ViewHolder(view)
    {
        var newsTitle: TextView = view.findViewById(R.id.favorite_news_title)
        var deleteButton: ImageButton = view.findViewById(R.id.favorite_delete_button)
    }
}
