package info.serpal.oriol.news.core

import android.content.Context
import android.content.Intent
import info.serpal.oriol.news.*
import info.serpal.oriol.news.model.News
import info.serpal.oriol.news.dto.SectionDTO

class Navigator {
    fun navigateToPieceOfNews(context: Context, news: News) {
        val intent = Intent(context, PieceOfNewsActivity::class.java)
        intent.putExtra(NEWS_KEY, news)
        startActivity(context, intent)
    }

    fun navigateToSection(context: Context, section: SectionDTO) {
        val intent = Intent(context, SectionActivity::class.java)
        intent.putExtra(SECTION_KEY, section)
        startActivity(context, intent)
    }

    fun navigateToSearch(context: Context) {
        val intent = Intent(context, SearchResultsActivity::class.java)
        startActivity(context, intent)
    }

    fun navigateToFavorite(context: Context) {
        val intent = Intent(context, FavoriteActivity::class.java)
        startActivity(context, intent)
    }

    private fun startActivity(context: Context, intentToLaunch: Intent) {
        context.startActivity(intentToLaunch)
    }

    fun navigateToInformation(context: Context) {
        val intent = Intent(context, InformationActivity::class.java)
        startActivity(context, intent)
    }

    fun navigateToContact(context: Context) {
        val intent = Intent(context, ContactActivity::class.java)
        startActivity(context, intent)
    }

    fun navigateToMain(context: Context) {
        val intent = Intent(context, MainActivity::class.java)
        startActivity(context, intent)
    }

    companion object {
        const val NEWS_KEY = "NEWS_EXTRA_KEY"
        const val SECTION_KEY = "SECTION_NEWS_EXTRA_KEY"
    }
}