package info.serpal.oriol.news.data.remote

import info.serpal.oriol.news.core.Hash
import info.serpal.oriol.news.data.remote.base.RepositoryBase
import info.serpal.oriol.news.model.Comment
import io.reactivex.Observable
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.schedulers.Schedulers

class CommentRepository : RepositoryBase() {

    fun request(name: String, email: String, comment: String): Observable<Comment> {
        val timestamp = System.currentTimeMillis().toString()
        val token = Hash.sha256(email, timestamp)
        return wikiApiServe.postComment(name, email, comment, token, timestamp)
            .subscribeOn(Schedulers.io())
            .observeOn(AndroidSchedulers.mainThread())
    }
}