package info.serpal.oriol.news.data.remote

import info.serpal.oriol.news.data.remote.base.RepositoryBase
import info.serpal.oriol.news.model.NewsList
import io.reactivex.Observable
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.schedulers.Schedulers

class SearchRepository : RepositoryBase() {

    fun request(search : String): Observable<NewsList> {
        return wikiApiServe.searchNews(search)
            .subscribeOn(Schedulers.io())
            .observeOn(AndroidSchedulers.mainThread())
    }
}