package info.serpal.oriol.news.data.remote

import info.serpal.oriol.news.data.remote.base.RepositoryBase
import info.serpal.oriol.news.model.NewsList
import io.reactivex.Observable
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.schedulers.Schedulers

class SectionRepository : RepositoryBase() {
    fun request(section: String): Observable<NewsList> {
        val sectionNews: Observable<NewsList> = when (section) {
            "opinion" -> wikiApiServe.opinionNews()
            "short" -> wikiApiServe.shortNews()
            else -> wikiApiServe.generalNews()
        }
        return sectionNews
            .subscribeOn(Schedulers.io())
            .observeOn(AndroidSchedulers.mainThread())
    }
}