package info.serpal.oriol.news.data.repository

import info.serpal.oriol.news.data.repository.base.DBRepository
import info.serpal.oriol.news.model.News
import info.serpal.oriol.news.model.FavoriteNewsDB
import io.realm.kotlin.where

class FavoriteRepository: DBRepository() {
    fun findAll(): List<News> {
        val list = realm.where<FavoriteNewsDB>().findAll()
        return list.map { favoriteNewsDB: FavoriteNewsDB -> FavoriteNewsDB.toNews(favoriteNewsDB)  }
    }

    fun save(favoriteNewsDB: FavoriteNewsDB) {
        realm.executeTransaction { realm ->
            realm.insertOrUpdate(favoriteNewsDB)
        }
    }

    fun delete(id: Int) {
        realm.executeTransaction { realm ->
            val result = realm.where<FavoriteNewsDB>().equalTo("number", id).findAll()
            result.deleteAllFromRealm()
        }
    }
}