package info.serpal.oriol.news.model

import io.realm.RealmObject
import io.realm.annotations.PrimaryKey

open class FavoriteNewsDB(
    @PrimaryKey var number: Int = 0,
    var title: String = "",
    var newsText: String = "",
    var cita: String? = "",
    var autor: String? = "",
    var secondTitle: String? = "",
    var url: String = "",
    var description: String? = "",
    var date: String = "",
    var shortDate: String = "",
    var image: String = ""
) : RealmObject() {
    companion object Factory {
        fun fromNews(news: News): FavoriteNewsDB
                = FavoriteNewsDB(news.number, news.title, news.newsText, news.cita, news.autor, news.secondTitle, news.url,
                         news.description, news.date, news.shortDate, news.image.url)

        fun toNews(favoriteNewsDB: FavoriteNewsDB) : News
                = News(
            favoriteNewsDB.number, favoriteNewsDB.title, favoriteNewsDB.newsText, favoriteNewsDB.cita, favoriteNewsDB.autor, favoriteNewsDB.secondTitle, favoriteNewsDB.url,
            favoriteNewsDB.description, favoriteNewsDB.date, favoriteNewsDB.shortDate, Image(favoriteNewsDB.image)
        )
    }
}
