package info.serpal.oriol.news.model

import android.os.Parcelable
import com.google.gson.annotations.Expose
import com.google.gson.annotations.SerializedName
import kotlinx.android.parcel.Parcelize

@Parcelize
data class News (
    @SerializedName("id")
    @Expose
    var number: Int,
    @SerializedName("titol")
    @Expose
    var title: String,
    @SerializedName("noticia1")
    @Expose
    var newsText: String,
    @SerializedName("cita_poema")
    @Expose
    var cita: String? = "",
    @SerializedName("autor")
    @Expose
    var autor: String? = "",
    @SerializedName("titol1")
    @Expose
    var secondTitle: String? = "",
    @SerializedName("link")
    @Expose
    var url: String,
    @SerializedName("description")
    @Expose
    var description: String? = "",
    @SerializedName("data")
    @Expose
    var date: String,
    @SerializedName("datePublished")
    @Expose
    var shortDate: String,
    @SerializedName("image")
    @Expose
    var image: Image
) : Parcelable {
    companion object {
        fun fromTitle(title: String) = News(0, title, "", "", "", "", "",
            "", "", "", Image(""))
    }
}

